org.apache.xmlbeans

## Interface XmlQName

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

All Known Implementing Classes:
  JavaNotationHolder, JavaNotationHolderEx, XmlNotationImpl, XmlNotationRestriction, XmlQNameImpl, XmlQNameRestriction

    public interface XmlQName
    extends XmlAnySimpleType

Corresponds to the XML Schema xs:QName type.

A QName is the logical combination of an XML namespace URI and a localName. Although in an XML instance document, a QName appears as "prefix:localName", the logical value of a QName does NOT contain any information about the prefix, only the namespace URI to which the prefix maps. For example, two QNames "a:hello" and "b:hello" are perfectly equivalent if "a:" in the first instance maps to the same URI as "b:" in the second instance.

Convertible to `QName`.

### Field Summary

Fields
`static XmlObjectFactory<XmlQName>` `Factory`
`static SchemaType` `type` The constant `SchemaType` object representing this schema type.

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`QName` `getQNameValue()` Returns this value as a `QName`
`void` `setQNameValue(QName name)` Sets this value as a `QName`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final XmlObjectFactory<XmlQName> Factory

#### type

    static final SchemaType type

The constant `SchemaType` object representing this schema type.

### Method Detail

#### getQNameValue

    QName getQNameValue()

Returns this value as a `QName`

#### setQNameValue

    void setQNameValue(QName name)

Sets this value as a `QName`